Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

app_id
string
required

The unique identifier of the app to list builds for.

Example:

"app_xxxxxxxxxxxxxx"

platform
enum<string> | null

Filter builds by target platform.

Available options:
ios,
android,
web
status
enum<string> | null

Filter builds by review status.

Available options:
draft,
pending,
approved,
rejected
created_before
string<date-time> | null

Only return builds created before this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

created_after
string<date-time> | null

Only return builds created after this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

Response

A successful response

The connection type for AppBuild.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.